classification
Title: Backport ABC to 2.6
Type: Stage:
Components: Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: gvanrossum Nosy List: baranguren, gvanrossum
Priority: normal Keywords: patch

Created on 2007-08-26 17:21 by baranguren, last changed 2007-10-05 06:04 by baranguren. This issue is now closed.

Files
File name Uploaded Description Edit
pyABC_backport_to_2_6.patch baranguren, 2007-08-26 17:21
Messages (4)
msg55308 - (view) Author: Benjamin Aranguren (baranguren) Date: 2007-08-26 17:21
Worked with Alex Martelli at the Google Python Sprint to backport ABC to
2.6.

Added abc.py and test_abc.py to svn trunk.
msg55808 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-09-10 22:37
Committed revision 58099.
(I had to backport test_typechecks.py myself, and fix one issue in abc.py.)

Are you going to backport _abcoll.py and its tests?
msg55816 - (view) Author: Benjamin Aranguren (baranguren) Date: 2007-09-11 06:26
Yes.  I plan to work on it this weekend.  I hope that's okay.

On 9/10/07, Guido van Rossum <report@bugs.python.org> wrote:
>
> Guido van Rossum added the comment:
>
> Committed revision 58099.
> (I had to backport test_typechecks.py myself, and fix one issue in abc.py.)
>
> Are you going to backport _abcoll.py and its tests?
>
> ----------
> assignee:  -> gvanrossum
> nosy: +gvanrossum
> resolution:  -> accepted
> status: open -> closed
>
> __________________________________
> Tracker <report@bugs.python.org>
> <http://bugs.python.org/issue1026>
> __________________________________
>
msg56233 - (view) Author: Benjamin Aranguren (baranguren) Date: 2007-10-05 06:04
Hi Guido,

I just wanted to let you know that I have completed porting _abcoll.py
but ran into other test failures after running testall.
The following tests failed:
test_class test_compile test_descr test_dict test_nis test_richcmp
    test_shelve test_userdict test_weakref

Also since there are no bytes in 2.6, is it correct to replace bytes
with str?  This is in _abcoll.py.

Thanks,
Ben A.

On 9/10/07, Benjamin Aranguren <report@bugs.python.org> wrote:
>
> Benjamin Aranguren added the comment:
>
> Yes.  I plan to work on it this weekend.  I hope that's okay.
>
> On 9/10/07, Guido van Rossum <report@bugs.python.org> wrote:
> >
> > Guido van Rossum added the comment:
> >
> > Committed revision 58099.
> > (I had to backport test_typechecks.py myself, and fix one issue in abc.py.)
> >
> > Are you going to backport _abcoll.py and its tests?
> >
> > ----------
> > assignee:  -> gvanrossum
> > nosy: +gvanrossum
> > resolution:  -> accepted
> > status: open -> closed
> >
> > __________________________________
> > Tracker <report@bugs.python.org>
> > <http://bugs.python.org/issue1026>
> > __________________________________
> >
>
> __________________________________
> Tracker <report@bugs.python.org>
> <http://bugs.python.org/issue1026>
> __________________________________
>
History
Date User Action Args
2007-10-05 06:04:31barangurensetmessages: + msg56233
2007-09-11 06:26:10barangurensetmessages: + msg55816
2007-09-10 22:37:17gvanrossumsetstatus: open -> closed
assignee: gvanrossum
resolution: accepted
messages: + msg55808
nosy: + gvanrossum
2007-09-02 20:08:40loewissetkeywords: + patch
2007-08-26 17:21:23barangurencreate